petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscRandomType

String with the name of a PETSc randomizer

### Synopsis

    typedef const char* PetscRandomType;
    #define PETSCRAND       "rand"
    #define PETSCRAND48     "rand48"
    #define PETSCSPRNG      "sprng"
    #define PETSCRANDER48   "rander48"
    #define PETSCRANDOM123  "random123"

### Notes

To use SPRNG or RANDOM123 you must have ./configure PETSc with the option --download-sprng or --download-random123

### See Also

PetscRandomSetType(), PetscRandom, PetscRandomCreate()

### Level

beginner

### Location

include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages